org.apache.commons.math3.random

## Interface NormalizedRandomGenerator

- All Known Implementing Classes:
    GaussianRandomGenerator, StableRandomGenerator, UniformRandomGenerator

      public interface NormalizedRandomGenerator

  This interface represent a normalized random generator for scalars. Normalized generator provide null mean and unit standard deviation scalars.
  Since:
    1.2
  Version:
    $Id: NormalizedRandomGenerator.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `nextNormalizedDouble()` Generate a random scalar with null mean and unit standard deviation.

- - ### Method Detail

    - #### nextNormalizedDouble

          double nextNormalizedDouble()

      Generate a random scalar with null mean and unit standard deviation.

      This method does not specify the shape of the distribution, it is the implementing class that provides it. The only contract here is to generate numbers with null mean and unit standard deviation.

      Returns:
        a random scalar with null mean and unit standard deviation

Copyright (c) 2003-2013 Apache Software Foundation